# PSF-LoginServer - master - net.psforever.types.HartSequence.State0
PSF - LoginServer - master - net.psforever.types.HartSequence.State0
Keywords: PSF LoginServer master net.psforever.types.HartSequence.State0

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
-  object HartSequence extends IntEnum[HartSequence]
  Definition Classes
    types
- Land
- PrepareForBoarding
- PrepareForDeparture
- State0
- State5
- State7
- TakeOff

o

net.psforever.types.HartSequence

# State0

###

#### case object State0 extends HartSequence with Product with Serializable

no effect, but is used when the shuttle is docked

Source
  HartSequence.scala

Linear Supertypes
Serializable, Product, Equals, HartSequence, IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. State0
2. Serializable
3. Product
4. Equals
5. HartSequence
6. IntEnumEntry
7. ValueEnumEntry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def productElementName(n: Int): String
    Definition Classes
      Product
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  val value: Int
    Definition Classes
      HartSequence → ValueEnumEntry
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from HartSequence

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped